diff -Naur mozilla_old/configure mozilla/configure
--- mozilla_old/configure	2006-06-03 23:44:17.000000000 +0300
+++ mozilla/configure	2006-06-07 00:16:15.000000000 +0300
@@ -18755,11 +18755,18 @@
 
 if test -n "$CROSS_COMPILE"; then
      if test -z "$HOST_LIBIDL_CONFIG"; then
+	echo "HOST_LIBIDL_CONFIG not defined"
         HOST_LIBIDL_CONFIG="$LIBIDL_CONFIG"
     fi
-    if test -n "$HOST_LIBIDL_CONFIG" && test "$HOST_LIBIDL_CONFIG" != "no"; then
+    if test -n "$HOST_LIBIDL_CONFIG" && test "$HOST_LIBIDL_CONFIG" != "no" && test -n "$HOST_PKG_CONFIG_PATH"; then
+	echo "using $HOST_LIBIDL_CONFIG as HOST_LIBIDL_CONFIG with HOST_PKG_CONFIG_PATH=$HOST_PKG_CONFIG_PATH"
+	_SAVE_PKG_CONFIG_PATH=$PKG_CONFIG_PATH
+	PKG_CONFIG_PATH=$HOST_PKG_CONFIG_PATH
         HOST_LIBIDL_CFLAGS=`${HOST_LIBIDL_CONFIG} --cflags`
+	echo "HOST_LIBIDL_CFLAGS = $HOST_LIBIDL_CFLAGS"
         HOST_LIBIDL_LIBS=`${HOST_LIBIDL_CONFIG} --libs`
+	echo "HOST_LIBIDL_LIBS = $HOST_LIBIDL_LIBS"
+	PKG_CONFIG_PATH=$_SAVE_PKG_CONFIG_PATH
     else
         HOST_LIBIDL_CFLAGS="$LIBIDL_CFLAGS"
         HOST_LIBIDL_LIBS="$LIBIDL_LIBS"
diff -Naur mozilla_old/configure.in mozilla/configure.in
--- mozilla_old/configure.in	2006-06-03 23:35:20.000000000 +0300
+++ mozilla/configure.in	2006-06-07 00:10:26.000000000 +0300
@@ -6870,12 +6870,17 @@
 
 if test -n "$CROSS_COMPILE"; then
      if test -z "$HOST_LIBIDL_CONFIG"; then
+	AC_MSG_WARN([HOST_LIBIDL_CONFIG not defined])
         HOST_LIBIDL_CONFIG="$LIBIDL_CONFIG"
     fi
     if test -n "$HOST_LIBIDL_CONFIG" && test "$HOST_LIBIDL_CONFIG" != "no"; then
+	AC_MSG_WARN([using $HOST_LIBIDL_CONFIG as config for libIDL on host])
         HOST_LIBIDL_CFLAGS=`${HOST_LIBIDL_CONFIG} --cflags`
+	AC_MSG_WARN([HOST_LIBIDL_CFLAGS=$HOST_LIBIDL_CFLAGS])
         HOST_LIBIDL_LIBS=`${HOST_LIBIDL_CONFIG} --libs`
+	AC_MSG_WARN([HOST_LIBIDL_LIBS=$HOST_LIBIDL_LIBS])
     else
+	AC_MSG_WARN([no config for libIDL found, using LIBIDL_CFLAGS and LIBIDL_LIBS])
         HOST_LIBIDL_CFLAGS="$LIBIDL_CFLAGS"
         HOST_LIBIDL_LIBS="$LIBIDL_LIBS"
     fi
diff -Naur mozilla_old/nsprpub/config/rules.mk mozilla/nsprpub/config/rules.mk
--- mozilla_old/nsprpub/config/rules.mk	2006-02-22 04:33:33.000000000 +0200
+++ mozilla/nsprpub/config/rules.mk	2006-06-07 00:07:06.000000000 +0300
@@ -90,6 +90,8 @@
 CFLAGS=$(HOST_CFLAGS)
 CXXFLAGS=$(HOST_CXXFLAGS)
 LDFLAGS=$(HOST_LDFLAGS)
+RANLIB=$(HOST_RANLIB)
+AR=$(HOST_AR)
 endif
 endif
 endif
